.btn_def,
.btn{
    position: relative;
    display: inline-flex;
    align-items:  center;
    justify-content: center;
    outline: none;
    border: none;
    cursor: pointer;
    padding: 12px 40px;
    color: var(--color--white);
    border-radius: 8px;
    font-family: Geologica;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
    background-position: center center;
    background-repeat: no-repeat;
    background-color: var(--color--pink);
    background-image: none;
    line-height:  1.5;
    -webkit-transition: var(--transition--main);
    -o-transition: var(--transition--main);
    transition: var(--transition--main);
    overflow: hidden;
}

.btn_def span,
.btn span {
    position: relative;
    z-index:  2;
}

.header span {
    font-size:  14px;
}

.btn_def:before,
.btn:before {
    content:  '';
    position:  absolute;
    left:  0;
    top:  0;
    width:  100%;
    height: 100%;
    background-image: url('../../assets/img/bg/btn_bg.png');
    z-index:  0;
    opacity: .15;
    background-position:  center center;
}

.btn_def:hover,
.btn:hover {
    background-image: radial-gradient(100% 239.29% at 100% 100%, #3C8AFF 0%, #FF86C9 100%);
    transition: .2s background-image;
}

.btn_def:active,
.btn:active {
    background-color: #3C8AFF;
    background-image: none;
}



/*.btn::after {
    content: "";
    display: inline-block;
    height: 100%;
    width: 100%;
    border-radius: 16px;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    background: var(--color--pink);
    -webkit-transition: .5s;
    -o-transition: .5s;
    transition: .5s;
}

.btn:hover::after {
    -webkit-transform: scaleX(1.4) scaleY(1.6);
    -ms-transform: scaleX(1.4) scaleY(1.6);
    transform: scaleX(1.4) scaleY(1.6);
    opacity: 0;
}
*/
@media screen and (max-width: 1024px){
    .btn{
        font-size: var(--font--medium-min);
    }
}

@media screen and (max-width: 320px){
    .btn{
        padding: 21px 44px;
    }
}